GMKPATH = ..
include ../Makefile.config

ALL	= pam_authsrv.so.1 authtest

CFLAGS= -I.. -I../libem -I../nlib $(COPT)

all: ${ALL}

pam_authsrv.so.1: pam_authsrv.o ${LIBOBJS}
	${CC} ${COPT} ${SHLIB_LDFL} ${LDFL} -o $@ pam_authsrv.o -L.. -lfwall ${AUXLIB} -lpam

authtest: authtest.o ${LIBOBJS}
	${CC} ${LDFL} -o $@ authtest.o ${LIBOBJS} ${LIBS} -lpam

.c.o:
	${CC} ${CFLAGS} -c -o $@ $<

clean:
	rm -f *~ *.o ${ALL} core

install: all
	${CP} 755 pam_authsrv.so.1 /usr/lib/security
